/* # Custom ID */
/* Change "Project name" to "ID / Project name". */
/* https://xtm-cloud.atlassian.net/browse/PX-3739 */
.PortalLayout-projects {
  .filter-field .ra-input-name > label,
  th.column-name > span
  {
    & > span {
      display: none;
    }
    &::before {
      content: "ID / Project name";
    }
  }
  /* Hide ID column and filter. */
  .filter-field .ra-input-id,
  th.column-id,
  td.column-id {
    display: none !important;
  }
}

/* Change "Translation request" to "Create request". */
/* https://xtm-cloud.atlassian.net/browse/PX-3733 */
.PortalLayout-translation_requests-create {
  #react-admin-title span:last-of-type {
    span {
      display: none;
    }
    &::before {
      content: "Create request";
    }
  }
  /* Change "Template" to "Service". */
  .ra-input-template label {
    span {
      display: none;
    }
    &::before {
      content: "Service *";
    }
  }
}

/* Sidebar menu: Change "Translation request" to "Create request". */
.MenuItemLink-resources_translation_requests_form {
  .MuiTooltip-tooltip {
    span {
      display: none;
    }
    &::after {
      content: "Create request";
      font-size: 0.6875rem;
    }
  }
}

/* Sidebar menu: Change "Intro Page" to "Homepage". */
/* https://xtm-cloud.atlassian.net/browse/PX-3771 */
.MenuItemLink-app_tabs_intro_page {
  .MuiTooltip-tooltip {
    span {
      display: none;
    }
    &::after {
      content: "Homepage";
      font-size: 0.6875rem;
    }
  }
}

/* Sidebar menu: Change "Info Page" to "FAQ". */
/* https://xtm-cloud.atlassian.net/browse/PX-3771 */
.MenuItemLink-app_tabs_info_page {
  .MuiTooltip-tooltip {
    span {
      display: none;
    }
    &::after {
      content: "FAQ";
      font-size: 0.6875rem;
    }
  }
}

/* Change "Description" to "Comments". */
.PortalLayout-projects .ra-field-description > p,
.PortalLayout-translation_requests-create .ra-input-description > label {
  & > span {
    display: none;
  }
  &::before {
    content: "Comments";
  }
}

/* Hide createDate and cost related columns. */
.PortalLayout-projects {
  th.column-createDate,
  td.column-createDate,
  th.column-finalCost\.price,
  td.column-finalCost\.price,
  th.column-cost\.price,
  td.column-cost\.price,
  th.column-cost\.updateDate,
  td.column-cost\.updateDate,
  .filter-field .ra-input-exists\[cost\],
  .filter-field .ra-input-cost\.createDate\[after\],
  .filter-field .ra-input-cost\.createDate\[before\],
  th.column-costStatus,
  td.column-costStatus {
    display: none !important;
  }
}

/* CF order: Division, Department, First name, Last name, Do you need editorial design? */
/* Departament CF required for Communications Division, otherwise hidden. */
/* https://xtm-cloud.atlassian.net/browse/CNS-6575 */
#user-form,
.PortalLayout-translation_requests-create {
  [class*="ra-input-customField_"] {
    order: 50;
  }
  /* Division */
  .ra-input-customField_4169000 {
    order: 1;
  }
  /* Departament */
  .ra-input-customField_21190694 {
    order: 2;
    display: none;
  }
  /* Do you need editorial design? */
  .ra-input-customField_20462590 {
    order: 99;
  }
  /* Division "Communications" value id: 4169008 */
  &:has(.ra-input-customField_4169000 [value="/custom_field_values/4169008"]) .ra-input-customField_21190694 {
    display: inherit;
  }
}
.PortalLayout-translation_requests-create .ra-input-customField_21190694 > label span::after {
  content: " *";
}
form#samlClient-form:has(#PortalCustomFields-customFieldsHeader) {
  :where(#PortalCustomFields-customFieldsHeader) ~ * {
    order: 50;
  }
  .ra-input-customField_4169000Attribute {
    order: 1;
  }
  .ra-input-customField_21190694Attribute {
    order: 2;
  }
  .ra-input-customField_20462590Attribute {
    order: 99;
  }
}
.PortalLayout-projects .PortalProjectShow-customFields {
  span {
    order: 50;
  }
  span:has([label="Division"]) {
    order: 1;
  }
  span:has([label="Department"]) {
    order: 2;
  }
  span:has([label="Do you need editorial design?"]) {
    order: 99;
  }
}

/* Translation request fields order: templates before name. */
/* https://xtm-cloud.atlassian.net/browse/CNS-6575 */
#PortalTranslationRequest-detailsHeader {
  ~ .ra-input,
  ~ .PortalTooltipBadge-root:has(.ra-input)
  {
    order: 5;
  }
  ~ .ra-input-customer {
    order: 1;
  }
  ~ .ra-input-template {
    order: 2;
  }
  ~ .ra-input-name {
    order: 3;
  }
}

/* Sidebar: show main logo instead of favicon as small logo. */
/* https://xtm-cloud.atlassian.net/browse/PX-3734 */
.PortalSidebarLogoMenu-button .MuiButton-startIcon {
  min-width: 24px;
  min-height: 24px;
}
.PortalSidebarLogoMenu-menu .MuiListItemIcon-root .MuiIcon-root,
.PortalSidebarLogoMenu-button .MuiButton-startIcon .MuiIcon-root {
  background-image: url('/theme/logo');
  background-size: 90%;
  background-repeat: no-repeat;
  background-position: center;
}
.PortalSidebarLogoMenu-menu .MuiListItemIcon-root img.theme-favicon,
.PortalSidebarLogoMenu-button .MuiButton-startIcon img.theme-favicon {
  opacity: 0;
  pointer-events: none;
}
